@font-face {
    font-family: 'Heebo';
    src: local('Heebo'), url(../../fonts/heebo.regular.ttf) format('truetype');
}

.chat-bot-container {
    position: fixed;
    font-weight: 300;
    font-size: .875rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: Heebo, Arial, Helvetica, sans-serif;
    z-index: 10001;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
}

/* Extra small devices (phones, 600px and down) */

@media only screen and (max-width: 600px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 80vh;
        width: 95vw;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */

@media only screen and (min-width: 600px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 80vh;
        width: 90vw;
    }
}

/* Medium devices (landscape tablets, 768px and up) */

@media only screen and (min-width: 768px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 80vh;
        width: 40vw;
    }
}

/* Large devices (laptops/desktops, 992px and up) */

@media only screen and (min-width: 992px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 70vh;
        width: 30vw;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */

@media only screen and (min-width: 1200px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 70vh;
        width: 30vw;
    }
}

@media only screen and (min-height: 1024px) {
    .chat-bot-container .chatbot {
        bottom: 1em;
        right: 1em;
        height: 60vh;
        width: 40vw;
    }
}

@media print {
    .chat-bot-container .no-print {
        display: none;
    }
}

.chat-bot-container .chat-bot-container-minimised {
    position: fixed;
    bottom: 1em;
    right: 1em;
}

.chat-bot-container .chat-icon {
    margin-left: auto;
    width: fit-content;
    display: -ms-flexbox;
    justify-content: flex-end;
    position: fixed;
    bottom: 1em;
    right: 0em;
}

.chat-bot-container .chat-icon:hover {
    cursor: pointer;
    cursor: hand;
}

.chat-bot-container .chat-icon.hidden {
    visibility: hidden;
}

.chat-bot-container .chat-icon-svg {
    fill: #d14210;
}

.chat-bot-container .chat-icon-svg.hover {
    fill: #d54614;
}

.chat-bot-container .chatbot {
    display: flex;
    flex-direction: column;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background-color: #FFF;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    position: fixed;
    bottom: 1em;
    right: 1em;
}

.chat-bot-container .chatbot.minimised {
    display: none;
}

.chat-bot-container .header {
    background-color: #2D2F32;
    height: 3em;
    color: #FFF;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    display: grid;
    display: -ms-grid;
    grid-template-columns: 10% 80% 10%;
    -ms-grid-columns: 10% 80% 10%;
    -ms-grid-rows: 100%;
    align-items: center;
}

.chat-bot-container .header-text-outer {
    display: flex;
    flex-direction: row;
}

.chat-bot-container .header-text {
    grid-column: 2;
    -ms-grid-column: 2;
    display: flex;
    justify-content: center;
    -ms-grid-row-align: center;
}

.chat-bot-container .minimise-icon {
    display: flex;
    justify-self: flex-end;
    grid-column: 3;
    -ms-grid-column: 3;
    margin-right: 5px;
    -ms-grid-row-align: center;
    stroke: #FFF;
}

.chat-bot-container .minimise-icon:focus {
    outline-color: #d14210;
    outline-style: dotted;
    outline-width: 1px;
}

.chat-bot-container .minimise-icon:hover {
    cursor: pointer;
    cursor: hand;
    stroke: #d14210;
}

.chat-bot-container .chat-feed {
    overflow-y: scroll;
    overflow-x: hidden;
    flex: 85%;
    background-color: #FFF;
    border-bottom: 1px solid black;
}

.chat-bot-container .text-input-panel {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: #FFF;
    flex-grow: 1;
    margin: 10px;
    align-items: center;
}

.chat-bot-container .button-input-panel {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    flex: 1;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.chat-bot-container .input-control {
    width: 100%;
    margin-left: 10px;
    border: solid 1px #585c62;
    background-color: #FFFF;
    color: black;
    resize: none;
    font-family: heebo;
}

.chat-bot-container .input-control:focus {
    border: solid 1px #d14210;
    outline: 0;
}

.chat-bot-container .messagecontainer {
    display: flex;
    flex-direction: column;
    padding: 10px;
    max-width: 85%;
    width: fit-content;
    width: -moz-fit-content;
    align-items: center;
}

.chat-bot-container .messagecontent {
    border-radius: 10px;
    padding: 10px;
    text-align: left;
    width: fit-content;
    grid-column: 2;
    -ms-grid-column: 2;
    grid-row: 1;
    -ms-grid-row: 1;
}

.chat-bot-container .messagecontainer.in.bottyping {
    display: flex;
    flex-direction: row;
    height: 36px;
}

.chat-bot-container .messagecontainer.in.error {
    color: red;
}

.chat-bot-container .dot {
    height: 5px;
    width: 5px;
    margin: 0 2px;
    border-radius: 50%;
    background-color: #9E9EA1;
    opacity: 0.1;
    padding: 2px;
    align-self: center;
    float: left;
    display: block;
}

.chat-bot-container .dot.one {
    animation: 1s blink infinite .3333s;
}

.chat-bot-container .dot.two {
    animation: 1s blink infinite .6666s;
}

.chat-bot-container .dot.three {
    animation: 1s blink infinite 1s;
}

@keyframes blink {
    50% {
        opacity: 1;
    }
}

.chat-bot-container .messagecontainer.in {
    margin-right: auto;
    display: grid;
    grid-template-rows: auto auto;
    grid-template-columns: auto auto;
    display: -ms-grid;
    -ms-grid-rows: auto auto;
    -ms-grid-columns: auto auto;
    max-width: 85%;
}

.chat-bot-container .messagecontainer.out {
    margin-left: auto;
    max-width: 70%;
}

.chat-bot-container .messagecontent.in {
    background-color: #d0d0d0;
    margin-left: 10px;
}

.chat-bot-container .messagecontent.out {
    background-color: #d14210;
    color: #FFF;
    margin-left: auto;
    white-space: pre-line;
}

.chat-bot-container .send-button {
    margin-left: 10px;
    align-content: center;
    width: 24px;
    height: 24px;
    stroke: currentColor;
}

.chat-bot-container .send-button:focus, .chat-bot-container .send-button:active {
    outline-color: #d14210;
    outline-style: dotted;
    outline-width: 1px;
}

.chat-bot-container .send-button:hover {
    cursor: pointer;
    cursor: hand;
    stroke: #d14210;
}

.chat-bot-container .icon-sender {
    margin-top: auto;
    width: 30;
    height: 30;
    /* IE 11 */
    display: -ms-flexbox;
    -ms-flex-direction: column;
    justify-content: flex-end;
}